Subject: Re: What's cooking in git.git (Jan 2026, #09)

From: "brian m. carlson" <[email-masked]>
Date: Thu, 29 Jan 2026 22:01:00 +0000

On 2026-01-28 at 22:50:50, brian m. carlson wrote:
> On 2026-01-27 at 17:42:00, Junio C Hamano wrote:
> > * bc/sha1-256-interop-02 (2025-11-17) 15 commits
> >  - object-file-convert: always make sure object ID algo is valid
> >  - rust: add a small wrapper around the hashfile code
> >  - rust: add a new binary object map format
> >  - rust: add functionality to hash an object
> >  - rust: add a build.rs script for tests
> >  - hash: expose hash context functions to Rust
> >  - write-or-die: add an fsync component for the object map
> >  - csum-file: define hashwrite's count as a uint32_t
> >  - rust: add additional helpers for ObjectID
> >  - hash: add a function to look up hash algo structs
> >  - rust: add a hash algorithm abstraction
> >  - rust: add a ObjectID struct
> >  - hash: use uint32_t for object_id algorithm
> >  - conversion: don't crash when no destination algo
> >  - repository: require Rust support for interoperability
> > 
> >  The code to maintain mapping between object names in multiple hash
> >  functions is being added, written in Rust.
> > 
> >  Any progress on CI breakages???
> >  source: <[email-masked]>
> 
> Not yet, but I hope to spend some time on that this week or early next.
> I now have some more time to work on this at work and I can try to poke
> around and figure out what might be wrong, or at least try to beg a
> colleague to try things on their Windows VM.

I did not get a Windows VM working but I did discover the problem and
I'm working on a patch and will send it out once I have CI green.

The problem is roughly that both the MSVC linker and MSYS linker are
both called link.exe.  When compiling with Rust against MSVC, the MSVC
linker must be used, but the MSYS linker is first in PATH (because I
believe installing the Git for Windows SDK causes that to be the case),
causing build.rs to fail to compile.
-- 
brian m. carlson (they/them)
Toronto, Ontario, CA